View Issue Details

IDProjectCategoryView StatusLast Update
0002320Kali Linux[All Projects] General Bugpublic2016-09-16 14:53
Reportersteev Assigned Todookie  
PrioritynormalSeveritytweakReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.0 
Target Version2.0Fixed in Version 
Summary0002320: maltego script in /usr/bin has a typo on the line for running on arm
Descriptionthe /usr/bin/maltego script has a typo in the PATH export.

current line is

cd /usr/share/maltego/bin/ && export PATH=/usr/lib/jvm/java-7-openjdk-arm*/bin:$$PATH && ./maltego "$@" 2> /dev/null

the line should read

cd /usr/share/maltego/bin/ && export PATH=/usr/lib/jvm/java-7-openjdk-arm*/bin:$PATH && ./maltego "$@" 2> /dev/null

Note the extra $ in $$PATH - this causes maltego to not launch, and doesn't produce any output.

Additional InformationThis is line 21 in the debian/helper-scripts/maltego file.

Activities

steev

2015-06-08 20:06

developer  

0001-Fix-typo-in-arm-commandline.patch (918 bytes)
From fedf42b311bc18027032696b6e04d4f2062ef0cd Mon Sep 17 00:00:00 2001
From: Steev Klimaszewski <steev@kali.org>
Date: Mon, 8 Jun 2015 15:03:44 -0500
Subject: [PATCH] Fix typo in arm commandline

Signed-off-by: Steev Klimaszewski <steev@kali.org>
---
 debian/helper-script/maltego |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/debian/helper-script/maltego b/debian/helper-script/maltego
index 9f22e61..3ad934c 100755
--- a/debian/helper-script/maltego
+++ b/debian/helper-script/maltego
@@ -18,5 +18,5 @@ then
 	cd /usr/share/maltego/bin/ && export PATH=/usr/lib/jvm/java-7-openjdk-amd64/bin:$PATH && ./maltego "$@" 2> /dev/null
 
 else 
-	cd /usr/share/maltego/bin/ && export PATH=/usr/lib/jvm/java-7-openjdk-arm*/bin:$$PATH && ./maltego "$@" 2> /dev/null
+	cd /usr/share/maltego/bin/ && export PATH=/usr/lib/jvm/java-7-openjdk-arm*/bin:$PATH && ./maltego "$@" 2> /dev/null
 fi
-- 
1.7.10.4

steev

2015-06-08 20:07

developer   ~0003386

Attached a patch that fixes the command line for launching maltego on arm. This only changes the script, no changes to the changelog for uploading.

dookie

2015-06-09 01:58

administrator   ~0003389

Fixed in maltego_3.4.0.5005-1kali2 and will be in the repos soon.

Thanks for the report.

Issue History

Date Modified Username Field Change
2015-06-08 10:36 steev New Issue
2015-06-08 10:45 steev Assigned To => dookie
2015-06-08 10:45 steev Status new => assigned
2015-06-08 10:45 steev Additional Information Updated View Revisions
2015-06-08 20:06 steev File Added: 0001-Fix-typo-in-arm-commandline.patch
2015-06-08 20:07 steev Note Added: 0003386
2015-06-09 01:58 dookie Note Added: 0003389
2015-06-09 01:58 dookie Status assigned => resolved
2015-06-09 01:58 dookie Fixed in Version => 1.1.1
2015-06-09 01:58 dookie Resolution open => fixed